AnsweredAssumed Answered

Alfresco 2.0 + JBossAS 4.0.5 + JBossPortal 2.6

Question asked by orybak on Jul 24, 2007
Latest reply on Aug 6, 2007 by orybak
Hello to everyone!
I am trying to make Alfresco 2.0 work on JBoss Portal 2.6
JBoss Portal is working fine without Alfresco.

I have checked out sources from svn and built them (as stated in wiki). The build was successfull. I had no problems with repository/database configuration. 
When I start JBoss with alfresco.war deployed I always get the following error:


java.lang.IllegalArgumentException: Class org.jboss.portal.faces.portlet.JSFMetaBridgeViewHandlerImpl is no javax.faces.application.ViewHandler
        at org.apache.myfaces.config.FacesConfigurator.getApplicationObject(FacesConfigurator.java:665)
        at org.apache.myfaces.config.FacesConfigurator.configureApplication(FacesConfigurator.java:602)
        at org.apache.myfaces.config.FacesConfigurator.configure(FacesConfigurator.java:148)
        at org.apache.myfaces.webapp.StartupServletContextListener.initFaces(StartupServletContextListener.java:68)
        at org.apache.myfaces.webapp.StartupServletContextListener.contextInitialized(StartupServletContextListener.java:51)


It seems to me, that there is a conflict in jsf implementation between jsf in JBossPortal and in Alfresco, as the class

org.jboss.portal.faces.portlet.JSFMetaBridgeViewHandlerImpl
is located in

…/jboss-portal.sar/portal-admin.sar/portal-faces-lib.jar

Does anyone know the solution to this problem?
Thanks in advance.

Outcomes